
<div class="modal-header BCPO">
  <span class="modal-title CW" id="exampleModalLabel">{{modalConfig}} Usuarios</span>
  <a (click)="activeModal.dismiss('Cross click')">
    <i class="pi pi-times-circle " ></i>
  </a>
</div>

<form [formGroup]="usuarioForm" (ngSubmit)="onSubmit()">

  <div class="modal-body">
    <div class="row">



      <div class="col-sm-4">
        <div class="form-group">
          <label >primer Apellido</label>
          <input type="text" class="form-control" formControlName="primerApellido"  [(ngModel)]="modalData.primerApellido"   placeholder="Ingrese el primer  Apellido "
                 [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.primerApellido.errors }"/>
          <div   *ngIf="submitted &&  f.primerApellido.errors" class="invalid-feedback">
            <div *ngIf="f.primerApellido.errors.required">primerApellido es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4">
        <div class="form-group">
          <label >segundo Apellido</label>
          <input type="text" class="form-control" formControlName="segundoApellido"  [(ngModel)]="modalData.segundoApellido"   placeholder="Ingrese el segundo Apellido "
                 [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.segundoApellido.errors }"/>
          <div   *ngIf="submitted &&  f.segundoApellido.errors" class="invalid-feedback">
            <div *ngIf="f.segundoApellido.errors.required">segundoApellido es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4">
        <div class="form-group">
          <label >primer Nombre</label>
          <input type="text" class="form-control" formControlName="primerNombre"  [(ngModel)]="modalData.primerNombre"   placeholder="Ingrese el primer Nombre "
                 [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.primerNombre.errors }"/>
          <div   *ngIf="submitted &&  f.primerNombre.errors" class="invalid-feedback">
            <div *ngIf="f.primerNombre.errors.required">primerNombre es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4">
        <div class="form-group">
          <label >segundo Nombre</label>
          <input type="text" class="form-control" formControlName="segundoNombre"  [(ngModel)]="modalData.segundoNombre"   placeholder="Ingrese el segundo Nombre "
                 [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.segundoNombre.errors }"/>
          <div   *ngIf="submitted &&  f.segundoNombre.errors" class="invalid-feedback">
            <div *ngIf="f.segundoNombre.errors.required">segundoNombre es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4" >
        <div class="form-group">
          <label >tipo Documento</label>
          <select  class="form-control " [(ngModel)]="modalData.tipoDocumento" formControlName="tipoDocumento"
                   [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.tipoDocumento.errors }">
            <option *ngFor="let value of tipoDocList" [value]="value.id">{{value.tipoDocumento}}</option>
          </select>
          <div   *ngIf="submitted &&  f.tipoDocumento.errors" class="invalid-feedback">
            <div *ngIf="f.tipoDocumento.errors.required">tipoDocumento es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4">
        <div class="form-group">
          <label >documento</label>
          <input type="number" class="form-control" formControlName="documento"  [(ngModel)]="modalData.documento"   placeholder="Ingrese el documento "
                 [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.documento.errors }"/>
          <div   *ngIf="submitted &&  f.documento.errors" class="invalid-feedback">
            <div *ngIf="f.documento.errors.required">documento es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4" >
        <div class="form-group">
          <label >Contrato usuario</label>
          <select  class="form-control" [(ngModel)]="modalData.idContratoUsuario" formControlName="idContratoUsuario"
                   [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.idContratoUsuario.errors }">
            <option *ngFor="let value of contratoUsuarioList" [value]="value.id">{{value.numero}}</option>
          </select>
          <div   *ngIf="submitted &&  f.idContratoUsuario.errors" class="invalid-feedback">
            <div *ngIf="f.idContratoUsuario.errors.required">Contrato es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4" >
        <div class="form-group">
          <label >Cargo</label>
          <select  class="form-control" [(ngModel)]="modalData.idCargoOcupacion" formControlName="idCargoOcupacion"
                   [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.idCargoOcupacion.errors }">
            <option *ngFor="let value of cargoUsuarioList" [value]="value.id">{{value.nombreCargo}}</option>
          </select>
          <div   *ngIf="submitted &&  f.idCargoOcupacion.errors" class="invalid-feedback">
            <div *ngIf="f.idCargoOcupacion.errors.required">cargo es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4" >
        <div class="form-group">
          <label >Ciudad</label>
          <select  class="form-control" [(ngModel)]="modalData.idCiudadUsuario" formControlName="idCiudadUsuario"
                   [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.idCiudadUsuario.errors }">
            <option *ngFor="let value of ciudadUsuarioList" [value]="value.id">{{value.nombre}}</option>
          </select>
          <div   *ngIf="submitted &&  f.idCiudadUsuario.errors" class="invalid-feedback">
            <div *ngIf="f.idCiudadUsuario.errors.required">cargo es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4">
        <div class="form-group">
          <label >usuario</label>
          <input type="text" class="form-control" formControlName="usuario"  [(ngModel)]="modalData.usuario"   placeholder="Ingrese el usuario "
                 [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.usuario.errors }"/>
          <div   *ngIf="submitted &&  f.usuario.errors" class="invalid-feedback">
            <div *ngIf="f.usuario.errors.required">usuario es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4">
        <div class="form-group">
          <label >clave</label>
          <input type="password" class="form-control" formControlName="clave"  [(ngModel)]="modalData.clave"   placeholder="Ingrese el clave "
                 [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.clave.errors }"/>
          <div   *ngIf="submitted &&  f.clave.errors" class="invalid-feedback">
            <div *ngIf="f.clave.errors.required">clave es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4" >
        <div class="form-group">
          <label >Planta</label>
          <select  class="form-control " [(ngModel)]="modalData.idPlanta" formControlName="idPlanta"
                   [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.estado.errors }">
            <option *ngFor="let value of plantaList" [value]="value.id">{{value.nombrePlanta}}</option>
          </select>
          <div   *ngIf="submitted &&  f.idPlanta.errors" class="invalid-feedback">
            <div *ngIf="f.idPlanta.errors.required">Planta es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4" >
        <div class="form-group">
          <label >Estado</label>
          <select  class="form-control " [(ngModel)]="modalData.estado" formControlName="estado"
                   [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.estado.errors }">
            <option *ngFor="let value of estadoSelect" [value]="value.id">{{value.nombre}}</option>
          </select>
          <div   *ngIf="submitted &&  f.estado.errors" class="invalid-feedback">
            <div *ngIf="f.estado.errors.required">El estado es requerido.</div>
          </div>
        </div>
      </div>


    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn bCSC" (click)="activeModal.close('Close click')">SALIR</button>
    <button type="submit" class="btn bCPO">GUARDAR</button>
  </div>
</form>
